/** Copyright 2012 VMware, Inc. All rights reserved. -- VMware Confidential */

package com.vmware.samples.test.chassisRack.mock;

import java.net.URI;

import com.vmware.samples.chassisRackVSphere.ChassisRackVSphereDataAdapter;
import com.vmware.samples.chassisRackVSphere.ModelObjectUriResolver;
import com.vmware.vise.vim.data.VimObjectReferenceService;

public class MockVimObjRefSvc implements VimObjectReferenceService {

   private static final ModelObjectUriResolver uriResolver = new ModelObjectUriResolver();

   @Override
   public Object getReference(String arg0) {
      return null;
   }

   @Override
   public String getServerGuid(Object arg0) {
      return null;
   }

   @Override
   public String getResourceObjectType(Object reference) {
      if (reference instanceof URI) {
         return uriResolver.getResourceType((URI)reference);
      }
      return (reference instanceof MockDataService.Host) ?
            ChassisRackVSphereDataAdapter.HOST_TYPE : null;
   }

   @Override
   public String getUid(Object objectRef) {
      return objectRef != null ? objectRef.toString() : null;
   }

   @Override
   public Object getReference(String arg0, String arg1, String arg2) {
      return null;
   }

   @Override
   public String getValue(Object arg0) {
      return null;
   }

}
