/* Copyright 2012 VMware, Inc. All rights reserved. -- VMware Confidential */
package com.vmware.samples.custompropertyui.model {
import com.vmware.core.model.DataObject;

[Bindable]
[RemoteClass(alias="com.vmware.samples.customprovider.ElevationData")]
/**
 * Flex class mapping to the java type returned by
 * the property provider.
 */
public class ElevationData extends DataObject {

   /** Elevation of the location in meters. */
   public var elevation:String;

   /** The Latitude of the location. */
   public var latitude:String;

   /** The Longitude of the location. */
   public var longitude:String;

} // end class
} // end package
